# use the .env file to set the environment variables

version: '3'

services:
  android_driver:
    build: ./drivers/
    ports:
      - "8000:8000"
    volumes:
      - ../../api/:/protobuf
      - ./drivers/:/drivers
      - ./app/:/app
    network_mode: "host"
    environment:
      - CMDR_IP=$CMDR_IP
      - CMDR_PORT=$CMDR_PORT
      - AVD_PORT=$AVD_PORT
      - AVD_IP=$AVD_IP
      - DRIVER_IFACE=$DRIVER_IFACE
    command: bash run_driver_server.sh
